Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.message
Class LocalizedMessageFactory

    java.lang.Object
      org.apache.logging.log4j.message.AbstractMessageFactory
          org.apache.logging.log4j.message.LocalizedMessageFactory

All Implemented Interfaces:
  Serializable, MessageFactory

    public class LocalizedMessageFactory

extends AbstractMessageFactory

Creates `LocalizedMessage` instances for `newMessage(String, Object...)`.

See Also:
  Serialized Form

Constructor Summary
`LocalizedMessageFactory(ResourceBundle resourceBundle)`
`LocalizedMessageFactory(String baseName)`

Method Summary
`String` | `getBaseName()` Gets the resource bundle base name if set.
`ResourceBundle` | `getResourceBundle()` Gets the resource bundle if set.
`Message` | `newMessage(String key, Object... params)` Creates `StringFormattedMessage` instances.

Methods inherited from class org.apache.logging.log4j.message.AbstractMessageFactory
`newMessage, newMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedMessageFactory

    public LocalizedMessageFactory(ResourceBundle resourceBundle)

### LocalizedMessageFactory

    public LocalizedMessageFactory(String baseName)

Method Detail

### getBaseName

    public String getBaseName()

  Gets the resource bundle base name if set.

  Returns:
    the resource bundle base name if set. May be null.

### getResourceBundle

    public ResourceBundle getResourceBundle()

  Gets the resource bundle if set.

  Returns:
    the resource bundle if set. May be null.

### newMessage

    public Message newMessage(String key,
                              Object... params)

  Creates `StringFormattedMessage` instances.

  Specified by:
    `newMessage` in interface `MessageFactory`
  Specified by:
    `newMessage` in class `AbstractMessageFactory`
  Parameters:
    `key` - The key String, used as a message if the key is absent.
    `params` - The parameters for the message at the given key.
  Returns:
    The Message.
  See Also:
    `MessageFactory.newMessage(String, Object...)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.